      SUBROUTINE UNCINI (MESSFL,SCLU)
C
C     + + + PURPOSE + + +
C     routine to initialize common for UNCAS
C
C     + + + DUMMY ARGUMENTS + + +
      INTEGER   MESSFL,SCLU
C
C     + + + ARGUMENT DEFINITIONS + + +
C     MESSFL - unit number for message file
C     SCLU   - screen cluster number on message file
C
C     + + + COMMON BLOCK + + +
      INCLUDE 'CUNCAS.INC'
C
C     + + + LOCAL VARIABLES + + +
      INTEGER     I0,INO,I1,I7,I10,I27,I28,I50,I120,I960,SGRP
      REAL        RNO,R0
      CHARACTER*1 BLNK
C
C     + + + EXTERNALS + + +
      EXTERNAL   ZIPI, ZIPR, ZIPC, GETTXT
C
C     + + + END SPECIFICATIONS + + +
C
      INO  = -999
      RNO  = -999.
      BLNK = ' '
      I0   = 0
      R0   = 0.
      I1   = 1
      I7   = 7
      I10  = 10
      I27  = 27
      I28  = 28
      I50  = 50
      I120 = 120
      I960 = 960
C
      UNCOPT= INO
      NMSIMS= INO
      INPCND= INO
      NUMVAR= INO
      INTOUT= INO
      CALL ZIPI (I10,I0,OUTLCS)
      NMSENS= INO
      CALL ZIPI (I120,INO,INVRTP)
      CALL ZIPI (I120,I0,VRCNT)
      CALL ZIPI (I7,I1,IGNGRP)
      IOUTVR(1)= 2
      IOUTVR(2)= 1
      IOUTVR(3)= 2
C
      PERTRB= RNO
      CALL ZIPR (I120,R0,PRCPRT)
C
      CALL ZIPC (I50,BLNK,UNCTTL)
      CALL ZIPC (I960,BLNK,VARCOD)
C
      SGRP= 42
      CALL GETTXT (MESSFL,SCLU,SGRP,I28,GGBUFF)
      SGRP= 43
      CALL GETTXT (MESSFL,SCLU,SGRP,I27,OVBUFF)
C
      RETURN
      END
